Package org.h2.mvstore.db

# Class LobStorageMap.BlobMeta

java.lang.Object
org.h2.mvstore.db.LobStorageMap.BlobMeta

Enclosing class:
  LobStorageMap

public static final class LobStorageMap.BlobMeta extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LobStorageMap.BlobMeta.Type`

## Field Summary

Fields
Modifier and Type
Field
Description
`final byte[]`
`streamStoreId`
Stream identifier.

## Constructor Summary

Constructors
Constructor
Description
`BlobMeta(byte[] streamStoreId, int tableId, long byteCount, long hash)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### streamStoreId

public final byte[] streamStoreId
Stream identifier. It is used as a key in LOB data map.

## Constructor Details

### BlobMeta

public BlobMeta(byte[] streamStoreId, int tableId, long byteCount, long hash)